Subject: bug#6561: dired-do-shell-command " *" vs. "*", too close for comfort

From: Glenn Morris <[email-masked]>
Date: Tue, 10 Jan 2012 21:34:22 -0500

Glenn Morris wrote:

> I still have no idea what:
>
>    To pass `*' by itself to the shell as a wildcard, type `*\"\"'.
>
> is supposed to mean though.

I see the manual explains it better:

    If you want to use `*' as a shell wildcard with whitespace around it,
                                               ^^^^^^^^^^^^^^^
    write `*""'. In the shell, this is equivalent to `*'; but since the `*'
    is not surrounded by whitespace, Dired does not treat it specially.